ColumnIndexer (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class ColumnIndexer

    java.lang.Object
      org.apache.cassandra.db.ColumnIndexer

    public class ColumnIndexer

extends java.lang.Object

Help to create an index for a column family based on size of columns

Nested Class Summary
`static class` | `ColumnIndexer.RowHeader` Holds information about serialized index and bloom filter

Constructor Summary
`ColumnIndexer()`

Method Summary
`static void` | `serialize(ColumnIndexer.RowHeader indexInfo, java.io.DataOutput dos)`
`static ColumnIndexer.RowHeader` | `serialize(IIterableColumns columns)` Serializes the index into in-memory structure with all required components such as Bloom Filter, index block size, IndexInfo list
`static void` | `serialize(IIterableColumns columns, java.io.DataOutput dos)` Given a column family this, function creates an in-memory structure that represents the column index for the column family, and subsequently writes it to disk.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnIndexer

    public ColumnIndexer()

Method Detail

### serialize

    public static void serialize(IIterableColumns columns,
                                 java.io.DataOutput dos)

  Given a column family this, function creates an in-memory structure that represents the column index for the column family, and subsequently writes it to disk.

  Parameters:
    `columns` - Column family to create index for
    `dos` - data output stream

### serialize

    public static void serialize(ColumnIndexer.RowHeader indexInfo,
                                 java.io.DataOutput dos)

### serialize

    public static ColumnIndexer.RowHeader serialize(IIterableColumns columns)

  Serializes the index into in-memory structure with all required components such as Bloom Filter, index block size, IndexInfo list

  Parameters:
    `columns` - Column family to create index for
  Returns:
    information about index - it's Bloom Filter, block size and IndexInfo list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation